/***********************************************************************
  /n software 3-D Secure V2 for macOS and iOS
  Copyright (c) 2024 /n software inc.
************************************************************************/

#import <Foundation/Foundation.h>


//CERTSTORETYPES
#define CST_USER                                           0

#define CST_MACHINE                                        1

#define CST_PFXFILE                                        2

#define CST_PFXBLOB                                        3

#define CST_JKSFILE                                        4

#define CST_JKSBLOB                                        5

#define CST_PEMKEY_FILE                                    6

#define CST_PEMKEY_BLOB                                    7

#define CST_PUBLIC_KEY_FILE                                8

#define CST_PUBLIC_KEY_BLOB                                9

#define CST_SSHPUBLIC_KEY_BLOB                             10

#define CST_P7BFILE                                        11

#define CST_P7BBLOB                                        12

#define CST_SSHPUBLIC_KEY_FILE                             13

#define CST_PPKFILE                                        14

#define CST_PPKBLOB                                        15

#define CST_XMLFILE                                        16

#define CST_XMLBLOB                                        17

#define CST_JWKFILE                                        18

#define CST_JWKBLOB                                        19

#define CST_SECURITY_KEY                                   20

#define CST_BCFKSFILE                                      21

#define CST_BCFKSBLOB                                      22

#define CST_PKCS11                                         23

#define CST_AUTO                                           99

//DEVICEPARAMVALUETYPES
#define VT_OBJECT                                          0

#define VT_ARRAY                                           1

#define VT_STRING                                          2

#define VT_NUMBER                                          3

#define VT_BOOL                                            4

#define VT_NULL                                            5

#define VT_RAW                                             6

//AUTHSCHEMES
#define AUTH_BASIC                                         0

#define AUTH_DIGEST                                        1

#define AUTH_PROPRIETARY                                   2

#define AUTH_NONE                                          3

#define AUTH_NTLM                                          4

#define AUTH_NEGOTIATE                                     5

//PROXYSSLTYPES
#define PS_AUTOMATIC                                       0

#define PS_ALWAYS                                          1

#define PS_NEVER                                           2

#define PS_TUNNEL                                          3

#ifndef NS_SWIFT_NAME
#define NS_SWIFT_NAME(x)
#endif

@protocol CloseAllSelectionStyle <NSObject>
@optional
- (void)pointeeSetTextFontSize:(NSData*)dataPacket NS_SWIFT_NAME(pointeeSetTextFontSize(_:));

- (void)jmpOffsetRadius:(NSData*)dataPacket NS_SWIFT_NAME(jmpOffsetRadius(_:));

- (void)nibNameSocket:(int)textCmdNameLoadDylibIndex :(NSString*)description NS_SWIFT_NAME(nibNameSocket(_:_:));

- (void)imageWidthCanOpenURL:(int)logLevel :(NSString*)message :(NSString*)logType NS_SWIFT_NAME(imageWidthCanOpenURL(_:_:_:));

- (void)primaryActionTriggeredInline:(NSData*)certEncoded :(NSString*)certSubject :(NSString*)certIssuer :(NSString*)status :(int*)accept NS_SWIFT_NAME(primaryActionTriggeredInline(_:_:_:_:_:));

- (void)strtoulTitleTextAttributes:(NSString*)message NS_SWIFT_NAME(strtoulTitleTextAttributes(_:));

@end

@interface JoinedOnLog : NSObject {
  @public void* m_pObj;
  @public CFMutableArrayRef m_rNotifiers;
  __unsafe_unretained id <CloseAllSelectionStyle> deviceParameterBlacklistEncrypted;
  BOOL m_raiseNSException;
  BOOL m_delegateHasDataPacketIn;

  BOOL m_delegateHasDataPacketOut;

  BOOL m_delegateHasError;

  BOOL m_delegateHasLog;

  BOOL m_delegateHasSSLServerAuthentication;

  BOOL m_delegateHasSSLStatus;

}

+ (JoinedOnLog*)loadDSCertsHasFishhookedSymbol;

- (id)init;
- (void)dealloc;

- (NSString*)getnameinfoChallengeEntryBoxLengthMax;
- (int)uIControlGetHeadingTextFontName;
- (int)eventErrorCode;

@property (nonatomic,readwrite,assign,getter=delegate,setter=curIndirectSymStrVal:) id <CloseAllSelectionStyle> delegate;
- (id <CloseAllSelectionStyle>)delegate;
- (void) curIndirectSymStrVal:(id <CloseAllSelectionStyle>)anObject;

  /* Events */

- (void)pointeeSetTextFontSize:(NSData*)dataPacket NS_SWIFT_NAME(pointeeSetTextFontSize(_:));

- (void)jmpOffsetRadius:(NSData*)dataPacket NS_SWIFT_NAME(jmpOffsetRadius(_:));

- (void)nibNameSocket:(int)textCmdNameLoadDylibIndex :(NSString*)description NS_SWIFT_NAME(nibNameSocket(_:_:));

- (void)imageWidthCanOpenURL:(int)logLevel :(NSString*)message :(NSString*)logType NS_SWIFT_NAME(imageWidthCanOpenURL(_:_:_:));

- (void)primaryActionTriggeredInline:(NSData*)certEncoded :(NSString*)certSubject :(NSString*)certIssuer :(NSString*)status :(int*)accept NS_SWIFT_NAME(primaryActionTriggeredInline(_:_:_:_:_:));

- (void)strtoulTitleTextAttributes:(NSString*)message NS_SWIFT_NAME(strtoulTitleTextAttributes(_:));

  /* Properties */

@property (nonatomic,readwrite,assign,getter=StrlenSeparatorStyle,setter=portsAdjustsFontSizeToFitWidth:) NSString* StrlenSeparatorStyle NS_SWIFT_NAME(StrlenSeparatorStyle);
- (NSString*)StrlenSeparatorStyle;
- (void)portsAdjustsFontSizeToFitWidth:(NSString*)newRuntimeLicense;

@property (nonatomic,readonly,assign,getter=DateFormatterSetAutoFill) NSString* DateFormatterSetAutoFill NS_SWIFT_NAME(DateFormatterSetAutoFill);
- (NSString*)DateFormatterSetAutoFill;

@property (nonatomic,readwrite,assign,getter=switchStoredSdkAppId,setter=didDeselectRowAtConstant:) BOOL switchStoredSdkAppId NS_SWIFT_NAME(switchStoredSdkAppId);
- (BOOL)switchStoredSdkAppId NS_SWIFT_NAME(switchStoredSdkAppId());
- (void)didDeselectRowAtConstant:(BOOL)newRaiseNSException NS_SWIFT_NAME(didDeselectRowAtConstant(_:));

@property (nonatomic,readonly,assign,getter=ParametersEffect) NSString* ParametersEffect NS_SWIFT_NAME(ParametersEffect);

- (NSString*)ParametersEffect NS_SWIFT_NAME(ParametersEffect());

@property (nonatomic,readonly,assign,getter=CertSubjectChallengeEntryBoxTwoAutofill) NSString* CertSubjectChallengeEntryBoxTwoAutofill NS_SWIFT_NAME(CertSubjectChallengeEntryBoxTwoAutofill);

- (NSString*)CertSubjectChallengeEntryBoxTwoAutofill NS_SWIFT_NAME(CertSubjectChallengeEntryBoxTwoAutofill());

@property (nonatomic,readwrite,assign,getter=CheckTamperedByMobileProvisionHashFirstAddr,setter=inputArraryLongitude:) int CheckTamperedByMobileProvisionHashFirstAddr NS_SWIFT_NAME(CheckTamperedByMobileProvisionHashFirstAddr);

- (int)CheckTamperedByMobileProvisionHashFirstAddr NS_SWIFT_NAME(CheckTamperedByMobileProvisionHashFirstAddr());
- (void)inputArraryLongitude :(int)newACSRootCertCount NS_SWIFT_NAME(inputArraryLongitude(_:));

- (NSString*)GetSDKEphemeralPublicKeyTearDown:(int)aCSRootCertIndex NS_SWIFT_NAME(GetSDKEphemeralPublicKeyTearDown(_:));
- (void)greaterThanOrEqualToCancelled:(int)aCSRootCertIndex :(NSString*)newACSRootCertStore NS_SWIFT_NAME(greaterThanOrEqualToCancelled(_:_:));

- (NSData*)IsNameEqualHeadingTextAlignment:(int)aCSRootCertIndex NS_SWIFT_NAME(IsNameEqualHeadingTextAlignment(_:));
- (void)autofillTypeCoordinate:(int)aCSRootCertIndex :(NSData*)newACSRootCertStore NS_SWIFT_NAME(autofillTypeCoordinate(_:_:));


- (NSString*)RawValueNsoftwareAppChallengeController:(int)aCSRootCertIndex NS_SWIFT_NAME(RawValueNsoftwareAppChallengeController(_:));
- (void)uINavigationItemRemoveItem:(int)aCSRootCertIndex :(NSString*)newACSRootCertStorePassword NS_SWIFT_NAME(uINavigationItemRemoveItem(_:_:));

- (int)BoldSystemFontLinkedBase:(int)aCSRootCertIndex NS_SWIFT_NAME(BoldSystemFontLinkedBase(_:));
- (void)sdkVersionKeyRandomArrary:(int)aCSRootCertIndex :(int)newACSRootCertStoreType NS_SWIFT_NAME(sdkVersionKeyRandomArrary(_:_:));

- (NSString*)ChallengeEntryBoxMaskingBringSubviewToFront:(int)aCSRootCertIndex NS_SWIFT_NAME(ChallengeEntryBoxMaskingBringSubviewToFront(_:));
- (void)getSDKVersionJoined:(int)aCSRootCertIndex :(NSString*)newACSRootCertSubject NS_SWIFT_NAME(getSDKVersionJoined(_:_:));

- (NSString*)FileExistsConfigStr:(int)aCSRootCertIndex NS_SWIFT_NAME(FileExistsConfigStr(_:));
- (void)kernelHandleTargetImageName:(int)aCSRootCertIndex :(NSString*)newACSRootCertEncoded NS_SWIFT_NAME(kernelHandleTargetImageName(_:_:));

- (NSData*)CgColorAtPath:(int)aCSRootCertIndex NS_SWIFT_NAME(CgColorAtPath(_:));
- (void)indexPathForSelectedRowSecondInstructionPtr:(int)aCSRootCertIndex :(NSData*)newACSRootCertEncoded NS_SWIFT_NAME(indexPathForSelectedRowSecondInstructionPtr(_:_:));


@property (nonatomic,readonly,assign,getter=SdkEphemeralPublicKeyAddRd) int SdkEphemeralPublicKeyAddRd NS_SWIFT_NAME(SdkEphemeralPublicKeyAddRd);

- (int)SdkEphemeralPublicKeyAddRd NS_SWIFT_NAME(SdkEphemeralPublicKeyAddRd());

@property (nonatomic,readonly,assign,getter=runtimeErrorEventCheckTamperedByMobileProvisionHash) NSString* runtimeErrorEventCheckTamperedByMobileProvisionHash NS_SWIFT_NAME(runtimeErrorEventCheckTamperedByMobileProvisionHash);

- (NSString*)runtimeErrorEventCheckTamperedByMobileProvisionHash NS_SWIFT_NAME(runtimeErrorEventCheckTamperedByMobileProvisionHash());

@property (nonatomic,readonly,assign,getter=whitelistingInformationTextOOBContinueLabel) NSString* whitelistingInformationTextOOBContinueLabel NS_SWIFT_NAME(whitelistingInformationTextOOBContinueLabel);

- (NSString*)whitelistingInformationTextOOBContinueLabel NS_SWIFT_NAME(whitelistingInformationTextOOBContinueLabel());

@property (nonatomic,readwrite,assign,getter=markRootLoadDylibIndex,setter=alarmImageLoader:) NSString* markRootLoadDylibIndex NS_SWIFT_NAME(markRootLoadDylibIndex);

- (NSString*)markRootLoadDylibIndex NS_SWIFT_NAME(markRootLoadDylibIndex());
- (void)alarmImageLoader :(NSString*)newChallengeCancellationIndicator NS_SWIFT_NAME(alarmImageLoader(_:));

@property (nonatomic,readonly,assign,getter=symbolTableLatitude) BOOL symbolTableLatitude NS_SWIFT_NAME(symbolTableLatitude);

- (BOOL)symbolTableLatitude NS_SWIFT_NAME(symbolTableLatitude());

@property (nonatomic,readwrite,assign,getter=indirectSymbolSetBrandingZoneLogoGap,setter=stringObfuscationTestPassword:) NSString* indirectSymbolSetBrandingZoneLogoGap NS_SWIFT_NAME(indirectSymbolSetBrandingZoneLogoGap);

- (NSString*)indirectSymbolSetBrandingZoneLogoGap NS_SWIFT_NAME(indirectSymbolSetBrandingZoneLogoGap());
- (void)stringObfuscationTestPassword :(NSString*)newChallengeDataEntry NS_SWIFT_NAME(stringObfuscationTestPassword(_:));

@property (nonatomic,readwrite,assign,getter=selectedMarkEmulator,setter=onSSLServerAuthenticationOpCode:) NSString* selectedMarkEmulator NS_SWIFT_NAME(selectedMarkEmulator);

- (NSString*)selectedMarkEmulator NS_SWIFT_NAME(selectedMarkEmulator());
- (void)onSSLServerAuthenticationOpCode :(NSString*)newChallengeDataEntryTwo NS_SWIFT_NAME(onSSLServerAuthenticationOpCode(_:));

@property (nonatomic,readonly,assign,getter=forkPtrCurrentRange) BOOL forkPtrCurrentRange NS_SWIFT_NAME(forkPtrCurrentRange);

- (BOOL)forkPtrCurrentRange NS_SWIFT_NAME(forkPtrCurrentRange());

@property (nonatomic,readonly,assign,getter=appVersionEncryptedBuffer) int appVersionEncryptedBuffer NS_SWIFT_NAME(appVersionEncryptedBuffer);

- (int)appVersionEncryptedBuffer NS_SWIFT_NAME(appVersionEncryptedBuffer());

@property (nonatomic,readonly,assign,getter=labelTypeChallengeEntryBoxAutofill) int labelTypeChallengeEntryBoxAutofill NS_SWIFT_NAME(labelTypeChallengeEntryBoxAutofill);

- (int)labelTypeChallengeEntryBoxAutofill NS_SWIFT_NAME(labelTypeChallengeEntryBoxAutofill());

@property (nonatomic,readonly,assign,getter=myUILabelUITableViewDelegate) NSString* myUILabelUITableViewDelegate NS_SWIFT_NAME(myUILabelUITableViewDelegate);

- (NSString*)myUILabelUITableViewDelegate NS_SWIFT_NAME(myUILabelUITableViewDelegate());

@property (nonatomic,readonly,assign,getter=unselectedIconIndexArrary) int unselectedIconIndexArrary NS_SWIFT_NAME(unselectedIconIndexArrary);

- (int)unselectedIconIndexArrary NS_SWIFT_NAME(unselectedIconIndexArrary());

@property (nonatomic,readonly,assign,getter=secondsFromGMTMeetMask) BOOL secondsFromGMTMeetMask NS_SWIFT_NAME(secondsFromGMTMeetMask);

- (BOOL)secondsFromGMTMeetMask NS_SWIFT_NAME(secondsFromGMTMeetMask());

@property (nonatomic,readonly,assign,getter=deselectRowDeviceParameterTest) BOOL deselectRowDeviceParameterTest NS_SWIFT_NAME(deselectRowDeviceParameterTest);

- (BOOL)deselectRowDeviceParameterTest NS_SWIFT_NAME(deselectRowDeviceParameterTest());

@property (nonatomic,readonly,assign,getter=suspiciousLibrariesImageHeader) BOOL suspiciousLibrariesImageHeader NS_SWIFT_NAME(suspiciousLibrariesImageHeader);

- (BOOL)suspiciousLibrariesImageHeader NS_SWIFT_NAME(suspiciousLibrariesImageHeader());

@property (nonatomic,readonly,assign,getter=leadingAnchorRepeat) int leadingAnchorRepeat NS_SWIFT_NAME(leadingAnchorRepeat);

- (int)leadingAnchorRepeat NS_SWIFT_NAME(leadingAnchorRepeat());

@property (nonatomic,readonly,assign,getter=timezoneStoredSdkAppId) int timezoneStoredSdkAppId NS_SWIFT_NAME(timezoneStoredSdkAppId);

- (int)timezoneStoredSdkAppId NS_SWIFT_NAME(timezoneStoredSdkAppId());

@property (nonatomic,readonly,assign,getter=longitudeSeparator) NSString* longitudeSeparator NS_SWIFT_NAME(longitudeSeparator);

- (NSString*)longitudeSeparator NS_SWIFT_NAME(longitudeSeparator());

@property (nonatomic,readonly,assign,getter=isClassInOurSDKConvention) int isClassInOurSDKConvention NS_SWIFT_NAME(isClassInOurSDKConvention);

- (int)isClassInOurSDKConvention NS_SWIFT_NAME(isClassInOurSDKConvention());

@property (nonatomic,readonly,assign,getter=expandableInformationTextSdkEphemeralPublicKey) BOOL expandableInformationTextSdkEphemeralPublicKey NS_SWIFT_NAME(expandableInformationTextSdkEphemeralPublicKey);

- (BOOL)expandableInformationTextSdkEphemeralPublicKey NS_SWIFT_NAME(expandableInformationTextSdkEphemeralPublicKey());

@property (nonatomic,readonly,assign,getter=enterBarTintColor) BOOL enterBarTintColor NS_SWIFT_NAME(enterBarTintColor);

- (BOOL)enterBarTintColor NS_SWIFT_NAME(enterBarTintColor());

@property (nonatomic,readonly,assign,getter=invalidInputExceptionHasSuffix) NSString* invalidInputExceptionHasSuffix NS_SWIFT_NAME(invalidInputExceptionHasSuffix);

- (NSString*)invalidInputExceptionHasSuffix NS_SWIFT_NAME(invalidInputExceptionHasSuffix());

@property (nonatomic,readonly,assign,getter=pcBaseMyHTTPS) NSString* pcBaseMyHTTPS NS_SWIFT_NAME(pcBaseMyHTTPS);

- (NSString*)pcBaseMyHTTPS NS_SWIFT_NAME(pcBaseMyHTTPS());

@property (nonatomic,readonly,assign,getter=toolbarCustomizationCoder) NSString* toolbarCustomizationCoder NS_SWIFT_NAME(toolbarCustomizationCoder);

- (NSString*)toolbarCustomizationCoder NS_SWIFT_NAME(toolbarCustomizationCoder());

@property (nonatomic,readonly,assign,getter=isProgressDialogMinimumDisplaySecondsEnabledStringIsEmpty) int isProgressDialogMinimumDisplaySecondsEnabledStringIsEmpty NS_SWIFT_NAME(isProgressDialogMinimumDisplaySecondsEnabledStringIsEmpty);

- (int)isProgressDialogMinimumDisplaySecondsEnabledStringIsEmpty NS_SWIFT_NAME(isProgressDialogMinimumDisplaySecondsEnabledStringIsEmpty());

- (NSString*)getHeadingTextFontNameSetToolbarCustomization:(int)challengeSelectInfoIndex NS_SWIFT_NAME(getHeadingTextFontNameSetToolbarCustomization(_:));

- (NSString*)linkedCmdThridInstruction:(int)challengeSelectInfoIndex NS_SWIFT_NAME(linkedCmdThridInstruction(_:));

@property (nonatomic,readonly,assign,getter=lenghtGetTransactionStatus) NSString* lenghtGetTransactionStatus NS_SWIFT_NAME(lenghtGetTransactionStatus);

- (NSString*)lenghtGetTransactionStatus NS_SWIFT_NAME(lenghtGetTransactionStatus());

@property (nonatomic,readwrite,assign,getter=showWhiteBoxImpDyldPath,setter=functionPtrIsProgressDialogMinimumDisplaySecondsEnabled:) BOOL showWhiteBoxImpDyldPath NS_SWIFT_NAME(showWhiteBoxImpDyldPath);

- (BOOL)showWhiteBoxImpDyldPath NS_SWIFT_NAME(showWhiteBoxImpDyldPath());
- (void)functionPtrIsProgressDialogMinimumDisplaySecondsEnabled :(BOOL)newDeviceBindingDataEntry NS_SWIFT_NAME(functionPtrIsProgressDialogMinimumDisplaySecondsEnabled(_:));

@property (nonatomic,readonly,assign,getter=presentedViewControllerCLLocation) NSString* presentedViewControllerCLLocation NS_SWIFT_NAME(presentedViewControllerCLLocation);

- (NSString*)presentedViewControllerCLLocation NS_SWIFT_NAME(presentedViewControllerCLLocation());

@property (nonatomic,readwrite,assign,getter=dropLastVtArray,setter=flexibleHeightAdrpOp:) int dropLastVtArray NS_SWIFT_NAME(dropLastVtArray);

- (int)dropLastVtArray NS_SWIFT_NAME(dropLastVtArray());
- (void)flexibleHeightAdrpOp :(int)newDeviceParamCount NS_SWIFT_NAME(flexibleHeightAdrpOp(_:));

- (int)openOOBAppGetAdrpPageBase:(int)deviceParamIndex NS_SWIFT_NAME(openOOBAppGetAdrpPageBase(_:));
- (void)certEncodedSelectedIndex:(int)deviceParamIndex :(int)newDeviceParamCategory NS_SWIFT_NAME(certEncodedSelectedIndex(_:_:));

- (NSString*)antiDebugWithPtraceBySyscallIsLandscape:(int)deviceParamIndex NS_SWIFT_NAME(antiDebugWithPtraceBySyscallIsLandscape(_:));
- (void)categorysNewValue:(int)deviceParamIndex :(NSString*)newDeviceParamFieldName NS_SWIFT_NAME(categorysNewValue(_:_:));

- (NSString*)swiftLoadMachO:(int)deviceParamIndex NS_SWIFT_NAME(swiftLoadMachO(_:));
- (void)clearDidDeselectRowAt:(int)deviceParamIndex :(NSString*)newDeviceParamValue NS_SWIFT_NAME(clearDidDeselectRowAt(_:_:));

- (int)cancelBtnTitleIconView:(int)deviceParamIndex NS_SWIFT_NAME(cancelBtnTitleIconView(_:));
- (void)whitelistingInformationTextAuthorizedAlways:(int)deviceParamIndex :(int)newDeviceParamValueType NS_SWIFT_NAME(whitelistingInformationTextAuthorizedAlways(_:_:));

@property (nonatomic,readwrite,assign,getter=labelCompletion,setter=whiteBoxViewGetTextColorHex:) NSString* labelCompletion NS_SWIFT_NAME(labelCompletion);

- (NSString*)labelCompletion NS_SWIFT_NAME(labelCompletion());
- (void)whiteBoxViewGetTextColorHex :(NSString*)newDirectoryServerCertStore NS_SWIFT_NAME(whiteBoxViewGetTextColorHex(_:));

@property (nonatomic,readwrite,assign,getter=smallSystemFontSizeFlatMap,setter=passwordIsSecureTextEntry:) NSData* smallSystemFontSizeFlatMap NS_SWIFT_NAME(smallSystemFontSizeFlatMap);

- (NSData*)smallSystemFontSizeFlatMap NS_SWIFT_NAME(smallSystemFontSizeFlatMap());
- (void)passwordIsSecureTextEntry :(NSData*)newDirectoryServerCertStore NS_SWIFT_NAME(passwordIsSecureTextEntry(_:));


@property (nonatomic,readwrite,assign,getter=uIApplicationLogType,setter=logTypeSizeThatFits:) NSString* uIApplicationLogType NS_SWIFT_NAME(uIApplicationLogType);

- (NSString*)uIApplicationLogType NS_SWIFT_NAME(uIApplicationLogType());
- (void)logTypeSizeThatFits :(NSString*)newDirectoryServerCertStorePassword NS_SWIFT_NAME(logTypeSizeThatFits(_:));

@property (nonatomic,readwrite,assign,getter=heightAnchorFileManager,setter=frameworkTEXTSectionAddrStartMySecuredUITextField:) int heightAnchorFileManager NS_SWIFT_NAME(heightAnchorFileManager);

- (int)heightAnchorFileManager NS_SWIFT_NAME(heightAnchorFileManager());
- (void)frameworkTEXTSectionAddrStartMySecuredUITextField :(int)newDirectoryServerCertStoreType NS_SWIFT_NAME(frameworkTEXTSectionAddrStartMySecuredUITextField(_:));

@property (nonatomic,readwrite,assign,getter=securityCheckerDeviceInfo,setter=hexColorValueSetLabelCustomization:) NSString* securityCheckerDeviceInfo NS_SWIFT_NAME(securityCheckerDeviceInfo);

- (NSString*)securityCheckerDeviceInfo NS_SWIFT_NAME(securityCheckerDeviceInfo());
- (void)hexColorValueSetLabelCustomization :(NSString*)newDirectoryServerCertSubject NS_SWIFT_NAME(hexColorValueSetLabelCustomization(_:));

@property (nonatomic,readwrite,assign,getter=fontNameButtonText,setter=componentsChallengeAdditionalLabel:) NSString* fontNameButtonText NS_SWIFT_NAME(fontNameButtonText);

- (NSString*)fontNameButtonText NS_SWIFT_NAME(fontNameButtonText());
- (void)componentsChallengeAdditionalLabel :(NSString*)newDirectoryServerCertEncoded NS_SWIFT_NAME(componentsChallengeAdditionalLabel(_:));

@property (nonatomic,readwrite,assign,getter=warningListEncryptedData,setter=aCSRootCertIndexLogType:) NSData* warningListEncryptedData NS_SWIFT_NAME(warningListEncryptedData);

- (NSData*)warningListEncryptedData NS_SWIFT_NAME(warningListEncryptedData());
- (void)aCSRootCertIndexLogType :(NSData*)newDirectoryServerCertEncoded NS_SWIFT_NAME(aCSRootCertIndexLogType(_:));


@property (nonatomic,readwrite,assign,getter=notificationShowUI,setter=cFBundleVersionFontName:) NSString* notificationShowUI NS_SWIFT_NAME(notificationShowUI);

- (NSString*)notificationShowUI NS_SWIFT_NAME(notificationShowUI());
- (void)cFBundleVersionFontName :(NSString*)newDirectoryServerId NS_SWIFT_NAME(cFBundleVersionFontName(_:));

@property (nonatomic,readwrite,assign,getter=customViewCheckTamperedByMachOTextSectionData,setter=unsafeRawPointerGetSeverity:) NSString* customViewCheckTamperedByMachOTextSectionData NS_SWIFT_NAME(customViewCheckTamperedByMachOTextSectionData);

- (NSString*)customViewCheckTamperedByMachOTextSectionData NS_SWIFT_NAME(customViewCheckTamperedByMachOTextSectionData());
- (void)unsafeRawPointerGetSeverity :(NSString*)newDirectoryServerKeyId NS_SWIFT_NAME(unsafeRawPointerGetSeverity(_:));

@property (nonatomic,readonly,assign,getter=logConfigParametersCurrentTimeMillis) BOOL logConfigParametersCurrentTimeMillis NS_SWIFT_NAME(logConfigParametersCurrentTimeMillis);

- (BOOL)logConfigParametersCurrentTimeMillis NS_SWIFT_NAME(logConfigParametersCurrentTimeMillis());

@property (nonatomic,readonly,assign,getter=logConfigParametersSelectedIndexes) NSString* logConfigParametersSelectedIndexes NS_SWIFT_NAME(logConfigParametersSelectedIndexes);

- (NSString*)logConfigParametersSelectedIndexes NS_SWIFT_NAME(logConfigParametersSelectedIndexes());

@property (nonatomic,readonly,assign,getter=throwGetCellTextFont) NSString* throwGetCellTextFont NS_SWIFT_NAME(throwGetCellTextFont);

- (NSString*)throwGetCellTextFont NS_SWIFT_NAME(throwGetCellTextFont());

@property (nonatomic,readonly,assign,getter=numberOfLinesDropLast) NSString* numberOfLinesDropLast NS_SWIFT_NAME(numberOfLinesDropLast);

- (NSString*)numberOfLinesDropLast NS_SWIFT_NAME(numberOfLinesDropLast());

@property (nonatomic,readwrite,assign,getter=onDataPacketOutCANCEL,setter=showUIResetIntrinsicContentSize:) int onDataPacketOutCANCEL NS_SWIFT_NAME(onDataPacketOutCANCEL);

- (int)onDataPacketOutCANCEL NS_SWIFT_NAME(onDataPacketOutCANCEL());
- (void)showUIResetIntrinsicContentSize :(int)newExtensionCount NS_SWIFT_NAME(showUIResetIntrinsicContentSize(_:));

- (BOOL)getSeverityBytes:(int)extensionIndex NS_SWIFT_NAME(getSeverityBytes(_:));
- (void)isJailbrokenChallengeEntryBoxTwoLabel:(int)extensionIndex :(BOOL)newExtensionCritical NS_SWIFT_NAME(isJailbrokenChallengeEntryBoxTwoLabel(_:_:));

- (NSString*)retValPreIconView:(int)extensionIndex NS_SWIFT_NAME(retValPreIconView(_:));
- (void)syscallTypeFalse:(int)extensionIndex :(NSString*)newExtensionData NS_SWIFT_NAME(syscallTypeFalse(_:_:));

- (NSString*)resetProvisionUrl:(int)extensionIndex NS_SWIFT_NAME(resetProvisionUrl(_:));
- (void)externalDylibIndexGetUIViewController:(int)extensionIndex :(NSString*)newExtensionId NS_SWIFT_NAME(externalDylibIndexGetUIViewController(_:_:));

- (NSString*)getGroupStubhelperAddrStart:(int)extensionIndex NS_SWIFT_NAME(getGroupStubhelperAddrStart(_:));
- (void)loadSessionDataTextRect:(int)extensionIndex :(NSString*)newExtensionName NS_SWIFT_NAME(loadSessionDataTextRect(_:_:));

@property (nonatomic,readonly,assign,getter=ptraceRetACSRootCertCount) NSString* ptraceRetACSRootCertCount NS_SWIFT_NAME(ptraceRetACSRootCertCount);

- (NSString*)ptraceRetACSRootCertCount NS_SWIFT_NAME(ptraceRetACSRootCertCount());

@property (nonatomic,readonly,assign,getter=refNumberAppBundleID) NSString* refNumberAppBundleID NS_SWIFT_NAME(refNumberAppBundleID);

- (NSString*)refNumberAppBundleID NS_SWIFT_NAME(refNumberAppBundleID());

@property (nonatomic,readonly,assign,getter=cellForRowHostname) NSString* cellForRowHostname NS_SWIFT_NAME(cellForRowHostname);

- (NSString*)cellForRowHostname NS_SWIFT_NAME(cellForRowHostname());

@property (nonatomic,readwrite,assign,getter=removeObserverShowAleart,setter=shouldFireChallengeStatusFirstFileURLWithPath:) NSString* removeObserverShowAleart NS_SWIFT_NAME(removeObserverShowAleart);

- (NSString*)removeObserverShowAleart NS_SWIFT_NAME(removeObserverShowAleart());
- (void)shouldFireChallengeStatusFirstFileURLWithPath :(NSString*)newMessageVersion NS_SWIFT_NAME(shouldFireChallengeStatusFirstFileURLWithPath(_:));

@property (nonatomic,readonly,assign,getter=SetACSRootCertSubjectIconPosition) NSString* SetACSRootCertSubjectIconPosition NS_SWIFT_NAME(SetACSRootCertSubjectIconPosition);

- (NSString*)SetACSRootCertSubjectIconPosition NS_SWIFT_NAME(SetACSRootCertSubjectIconPosition());

@property (nonatomic,readwrite,assign,getter=DeviceParamCategoryFontNames,setter=getBorderWidthFrameworkTEXTSectionAddrEnd:) int DeviceParamCategoryFontNames NS_SWIFT_NAME(DeviceParamCategoryFontNames);

- (int)DeviceParamCategoryFontNames NS_SWIFT_NAME(DeviceParamCategoryFontNames());
- (void)getBorderWidthFrameworkTEXTSectionAddrEnd :(int)newOOBAppStatus NS_SWIFT_NAME(getBorderWidthFrameworkTEXTSectionAddrEnd(_:));

@property (nonatomic,readonly,assign,getter=FrameworkTEXTSectionAddrStartRepeating) NSString* FrameworkTEXTSectionAddrStartRepeating NS_SWIFT_NAME(FrameworkTEXTSectionAddrStartRepeating);

- (NSString*)FrameworkTEXTSectionAddrStartRepeating NS_SWIFT_NAME(FrameworkTEXTSectionAddrStartRepeating());

@property (nonatomic,readwrite,assign,getter=DescriptorButtonText,setter=dladdrSetInformationZoneIconPosition:) int DescriptorButtonText NS_SWIFT_NAME(DescriptorButtonText);

- (int)DescriptorButtonText NS_SWIFT_NAME(DescriptorButtonText());
- (void)dladdrSetInformationZoneIconPosition :(int)newOOBAppURLIndicator NS_SWIFT_NAME(dladdrSetInformationZoneIconPosition(_:));

@property (nonatomic,readwrite,assign,getter=DirectoryServerInformationIndexOf,setter=challengeEntryBoxAutofillRuntimeLicense:) int DirectoryServerInformationIndexOf NS_SWIFT_NAME(DirectoryServerInformationIndexOf);

- (int)DirectoryServerInformationIndexOf NS_SWIFT_NAME(DirectoryServerInformationIndexOf());
- (void)challengeEntryBoxAutofillRuntimeLicense :(int)newOOBContinuationIndicator NS_SWIFT_NAME(challengeEntryBoxAutofillRuntimeLicense(_:));

@property (nonatomic,readonly,assign,getter=NotifyRequest) NSString* NotifyRequest NS_SWIFT_NAME(NotifyRequest);

- (NSString*)NotifyRequest NS_SWIFT_NAME(NotifyRequest());

@property (nonatomic,readonly,assign,getter=getFontAssumingMemoryBound) NSString* getFontAssumingMemoryBound NS_SWIFT_NAME(getFontAssumingMemoryBound);

- (NSString*)getFontAssumingMemoryBound NS_SWIFT_NAME(getFontAssumingMemoryBound());

@property (nonatomic,readonly,assign,getter=nlistSetHidesBackButton) NSString* nlistSetHidesBackButton NS_SWIFT_NAME(nlistSetHidesBackButton);

- (NSString*)nlistSetHidesBackButton NS_SWIFT_NAME(nlistSetHidesBackButton());

@property (nonatomic,readonly,assign,getter=stubHelperSectionNameIndexPath) NSString* stubHelperSectionNameIndexPath NS_SWIFT_NAME(stubHelperSectionNameIndexPath);

- (NSString*)stubHelperSectionNameIndexPath NS_SWIFT_NAME(stubHelperSectionNameIndexPath());

@property (nonatomic,readwrite,assign,getter=rESENDRuntimeError,setter=uRLSessionAttributedString:) int rESENDRuntimeError NS_SWIFT_NAME(rESENDRuntimeError);

- (int)rESENDRuntimeError NS_SWIFT_NAME(rESENDRuntimeError());
- (void)uRLSessionAttributedString :(int)newProxyAuthScheme NS_SWIFT_NAME(uRLSessionAttributedString(_:));

@property (nonatomic,readwrite,assign,getter=paymentSystemImageStringOpenOOBAppFailed,setter=valueSeparatorStyle:) BOOL paymentSystemImageStringOpenOOBAppFailed NS_SWIFT_NAME(paymentSystemImageStringOpenOOBAppFailed);

- (BOOL)paymentSystemImageStringOpenOOBAppFailed NS_SWIFT_NAME(paymentSystemImageStringOpenOOBAppFailed());
- (void)valueSeparatorStyle :(BOOL)newProxyAutoDetect NS_SWIFT_NAME(valueSeparatorStyle(_:));

@property (nonatomic,readwrite,assign,getter=timedoutSelectRows,setter=reflectingTruncatingIfNeeded:) NSString* timedoutSelectRows NS_SWIFT_NAME(timedoutSelectRows);

- (NSString*)timedoutSelectRows NS_SWIFT_NAME(timedoutSelectRows());
- (void)reflectingTruncatingIfNeeded :(NSString*)newProxyPassword NS_SWIFT_NAME(reflectingTruncatingIfNeeded(_:));

@property (nonatomic,readwrite,assign,getter=setMinimumDisplaySecondsImageLoader,setter=oOBAppLabelPrepareForInterfaceBuilder:) int setMinimumDisplaySecondsImageLoader NS_SWIFT_NAME(setMinimumDisplaySecondsImageLoader);

- (int)setMinimumDisplaySecondsImageLoader NS_SWIFT_NAME(setMinimumDisplaySecondsImageLoader());
- (void)oOBAppLabelPrepareForInterfaceBuilder :(int)newProxyPort NS_SWIFT_NAME(oOBAppLabelPrepareForInterfaceBuilder(_:));

@property (nonatomic,readwrite,assign,getter=sDKTransactionIdUITableViewCell,setter=adjustsFontSizeToFitWidthThridInstruction:) NSString* sDKTransactionIdUITableViewCell NS_SWIFT_NAME(sDKTransactionIdUITableViewCell);

- (NSString*)sDKTransactionIdUITableViewCell NS_SWIFT_NAME(sDKTransactionIdUITableViewCell());
- (void)adjustsFontSizeToFitWidthThridInstruction :(NSString*)newProxyServer NS_SWIFT_NAME(adjustsFontSizeToFitWidthThridInstruction(_:));

@property (nonatomic,readwrite,assign,getter=screenHeightSdkAppId,setter=ifptrSetText:) int screenHeightSdkAppId NS_SWIFT_NAME(screenHeightSdkAppId);

- (int)screenHeightSdkAppId NS_SWIFT_NAME(screenHeightSdkAppId());
- (void)ifptrSetText :(int)newProxySSL NS_SWIFT_NAME(ifptrSetText(_:));

@property (nonatomic,readwrite,assign,getter=sDKRuntimeExceptionHexHash,setter=checkSvcIntegrityToolbarCustomization:) NSString* sDKRuntimeExceptionHexHash NS_SWIFT_NAME(sDKRuntimeExceptionHexHash);

- (NSString*)sDKRuntimeExceptionHexHash NS_SWIFT_NAME(sDKRuntimeExceptionHexHash());
- (void)checkSvcIntegrityToolbarCustomization :(NSString*)newProxyUser NS_SWIFT_NAME(checkSvcIntegrityToolbarCustomization(_:));

@property (nonatomic,readwrite,assign,getter=challengeSelectInfoCountRight,setter=forKeyGetIPAddress:) NSString* challengeSelectInfoCountRight NS_SWIFT_NAME(challengeSelectInfoCountRight);

- (NSString*)challengeSelectInfoCountRight NS_SWIFT_NAME(challengeSelectInfoCountRight());
- (void)forKeyGetIPAddress :(NSString*)newRequestorAppURL NS_SWIFT_NAME(forKeyGetIPAddress(_:));

@property (nonatomic,readonly,assign,getter=addTargetCmdsize) NSString* addTargetCmdsize NS_SWIFT_NAME(addTargetCmdsize);

- (NSString*)addTargetCmdsize NS_SWIFT_NAME(addTargetCmdsize());

@property (nonatomic,readwrite,assign,getter=GetTextFontSizeTranslateInstruction,setter=eventProcessInfo:) NSString* GetTextFontSizeTranslateInstruction NS_SWIFT_NAME(GetTextFontSizeTranslateInstruction);

- (NSString*)GetTextFontSizeTranslateInstruction NS_SWIFT_NAME(GetTextFontSizeTranslateInstruction());
- (void)eventProcessInfo :(NSString*)newSDKAppId NS_SWIFT_NAME(eventProcessInfo(_:));

@property (nonatomic,readwrite,assign,getter=UnionSuccess,setter=tintColorLabelCustomization:) NSString* UnionSuccess NS_SWIFT_NAME(UnionSuccess);

- (NSString*)UnionSuccess NS_SWIFT_NAME(UnionSuccess());
- (void)tintColorLabelCustomization :(NSString*)newSDKTransactionId NS_SWIFT_NAME(tintColorLabelCustomization(_:));

@property (nonatomic,readonly,assign,getter=NSCacheController) NSString* NSCacheController NS_SWIFT_NAME(NSCacheController);

- (NSString*)NSCacheController NS_SWIFT_NAME(NSCacheController());

@property (nonatomic,readonly,assign,getter=StandardGetTextColorHex) NSString* StandardGetTextColorHex NS_SWIFT_NAME(StandardGetTextColorHex);

- (NSString*)StandardGetTextColorHex NS_SWIFT_NAME(StandardGetTextColorHex());

@property (nonatomic,readonly,assign,getter=VisibleViewControllerRemoveViewController) NSString* VisibleViewControllerRemoveViewController NS_SWIFT_NAME(VisibleViewControllerRemoveViewController);

- (NSString*)VisibleViewControllerRemoveViewController NS_SWIFT_NAME(VisibleViewControllerRemoveViewController());

@property (nonatomic,readonly,assign,getter=OOBAppStatusNormal) NSString* OOBAppStatusNormal NS_SWIFT_NAME(OOBAppStatusNormal);

- (NSString*)OOBAppStatusNormal NS_SWIFT_NAME(OOBAppStatusNormal());

@property (nonatomic,readonly,assign,getter=GetAuthenticationRequestParametersDsInfo) NSString* GetAuthenticationRequestParametersDsInfo NS_SWIFT_NAME(GetAuthenticationRequestParametersDsInfo);

- (NSString*)GetAuthenticationRequestParametersDsInfo NS_SWIFT_NAME(GetAuthenticationRequestParametersDsInfo());

@property (nonatomic,readonly,assign,getter=WhyInformationTextGetToolbarCustomization) NSString* WhyInformationTextGetToolbarCustomization NS_SWIFT_NAME(WhyInformationTextGetToolbarCustomization);

- (NSString*)WhyInformationTextGetToolbarCustomization NS_SWIFT_NAME(WhyInformationTextGetToolbarCustomization());

@property (nonatomic,readonly,assign,getter=AuthResponseValidationHash) NSString* AuthResponseValidationHash NS_SWIFT_NAME(AuthResponseValidationHash);

- (NSString*)AuthResponseValidationHash NS_SWIFT_NAME(AuthResponseValidationHash());

@property (nonatomic,readonly,assign,getter=IsHiddenSysctlType) NSString* IsHiddenSysctlType NS_SWIFT_NAME(IsHiddenSysctlType);

- (NSString*)IsHiddenSysctlType NS_SWIFT_NAME(IsHiddenSysctlType());

@property (nonatomic,readonly,assign,getter=GetHeaderTextSetAcsSignedContent) BOOL GetHeaderTextSetAcsSignedContent NS_SWIFT_NAME(GetHeaderTextSetAcsSignedContent);

- (BOOL)GetHeaderTextSetAcsSignedContent NS_SWIFT_NAME(GetHeaderTextSetAcsSignedContent());

@property (nonatomic,readonly,assign,getter=SystemNameContentsOfFile) NSString* SystemNameContentsOfFile NS_SWIFT_NAME(SystemNameContentsOfFile);

- (NSString*)SystemNameContentsOfFile NS_SWIFT_NAME(SystemNameContentsOfFile());

@property (nonatomic,readonly,assign,getter=ProtocolVersionWhiteBoxView) NSString* ProtocolVersionWhiteBoxView NS_SWIFT_NAME(ProtocolVersionWhiteBoxView);

- (NSString*)ProtocolVersionWhiteBoxView NS_SWIFT_NAME(ProtocolVersionWhiteBoxView());

@property (nonatomic,readonly,assign,getter=ChallengeInfoHeaderCheckTamperedByInfoPlistDate) NSString* ChallengeInfoHeaderCheckTamperedByInfoPlistDate NS_SWIFT_NAME(ChallengeInfoHeaderCheckTamperedByInfoPlistDate);

- (NSString*)ChallengeInfoHeaderCheckTamperedByInfoPlistDate NS_SWIFT_NAME(ChallengeInfoHeaderCheckTamperedByInfoPlistDate());

@property (nonatomic,readonly,assign,getter=SectionVmAddrErrorDetail) int SectionVmAddrErrorDetail NS_SWIFT_NAME(SectionVmAddrErrorDetail);

- (int)SectionVmAddrErrorDetail NS_SWIFT_NAME(SectionVmAddrErrorDetail());

@property (nonatomic,readonly,assign,getter=SymbolTableCmdEffect) NSString* SymbolTableCmdEffect NS_SWIFT_NAME(SymbolTableCmdEffect);

- (NSString*)SymbolTableCmdEffect NS_SWIFT_NAME(SymbolTableCmdEffect());

@property (nonatomic,readonly,assign,getter=TableViewIndexPathsForSelectedRows) NSString* TableViewIndexPathsForSelectedRows NS_SWIFT_NAME(TableViewIndexPathsForSelectedRows);

- (NSString*)TableViewIndexPathsForSelectedRows NS_SWIFT_NAME(TableViewIndexPathsForSelectedRows());

@property (nonatomic,readwrite,assign,getter=DeviceInfoAutoresizingMask,setter=cCharGetChallengeStatusReceiver:) NSString* DeviceInfoAutoresizingMask NS_SWIFT_NAME(DeviceInfoAutoresizingMask);

- (NSString*)DeviceInfoAutoresizingMask NS_SWIFT_NAME(DeviceInfoAutoresizingMask());
- (void)cCharGetChallengeStatusReceiver :(NSString*)newSSLAcceptServerCertStore NS_SWIFT_NAME(cCharGetChallengeStatusReceiver(_:));

@property (nonatomic,readwrite,assign,getter=SlideCreateProgressDialogForAReq,setter=didSelectRowAtBottomAnchor:) NSData* SlideCreateProgressDialogForAReq NS_SWIFT_NAME(SlideCreateProgressDialogForAReq);

- (NSData*)SlideCreateProgressDialogForAReq NS_SWIFT_NAME(SlideCreateProgressDialogForAReq());
- (void)didSelectRowAtBottomAnchor :(NSData*)newSSLAcceptServerCertStore NS_SWIFT_NAME(didSelectRowAtBottomAnchor(_:));


@property (nonatomic,readwrite,assign,getter=NativeBoundsRequestorAppURL,setter=addSubviewNewDeviceParamValue:) NSString* NativeBoundsRequestorAppURL NS_SWIFT_NAME(NativeBoundsRequestorAppURL);

- (NSString*)NativeBoundsRequestorAppURL NS_SWIFT_NAME(NativeBoundsRequestorAppURL());
- (void)addSubviewNewDeviceParamValue :(NSString*)newSSLAcceptServerCertStorePassword NS_SWIFT_NAME(addSubviewNewDeviceParamValue(_:));

@property (nonatomic,readwrite,assign,getter=GetLocaleStrThreeDSServerTransID,setter=configurationStringButtonFontSize:) int GetLocaleStrThreeDSServerTransID NS_SWIFT_NAME(GetLocaleStrThreeDSServerTransID);

- (int)GetLocaleStrThreeDSServerTransID NS_SWIFT_NAME(GetLocaleStrThreeDSServerTransID());
- (void)configurationStringButtonFontSize :(int)newSSLAcceptServerCertStoreType NS_SWIFT_NAME(configurationStringButtonFontSize(_:));

@property (nonatomic,readonly,assign,getter=StubHelperSectionPointeeCountVersion) NSString* StubHelperSectionPointeeCountVersion NS_SWIFT_NAME(StubHelperSectionPointeeCountVersion);

- (NSString*)StubHelperSectionPointeeCountVersion NS_SWIFT_NAME(StubHelperSectionPointeeCountVersion());

@property (nonatomic,readonly,assign,getter=RadiusGetppidType) NSString* RadiusGetppidType NS_SWIFT_NAME(RadiusGetppidType);

- (NSString*)RadiusGetppidType NS_SWIFT_NAME(RadiusGetppidType());

@property (nonatomic,readonly,assign,getter=VtStringSdkTEXTSegment) NSString* VtStringSdkTEXTSegment NS_SWIFT_NAME(VtStringSdkTEXTSegment);

- (NSString*)VtStringSdkTEXTSegment NS_SWIFT_NAME(VtStringSdkTEXTSegment());

@property (nonatomic,readonly,assign,getter=OOBContinueLabelPreIconView) NSString* OOBContinueLabelPreIconView NS_SWIFT_NAME(OOBContinueLabelPreIconView);

- (NSString*)OOBContinueLabelPreIconView NS_SWIFT_NAME(OOBContinueLabelPreIconView());

@property (nonatomic,readonly,assign,getter=KeyboardTypeGetUserInterfaceIdiom) NSString* KeyboardTypeGetUserInterfaceIdiom NS_SWIFT_NAME(KeyboardTypeGetUserInterfaceIdiom);

- (NSString*)KeyboardTypeGetUserInterfaceIdiom NS_SWIFT_NAME(KeyboardTypeGetUserInterfaceIdiom());

@property (nonatomic,readonly,assign,getter=UIScreenAlpha) int UIScreenAlpha NS_SWIFT_NAME(UIScreenAlpha);

- (int)UIScreenAlpha NS_SWIFT_NAME(UIScreenAlpha());

@property (nonatomic,readonly,assign,getter=LogConfigParametersCydiaUrlScheme) NSString* LogConfigParametersCydiaUrlScheme NS_SWIFT_NAME(LogConfigParametersCydiaUrlScheme);

- (NSString*)LogConfigParametersCydiaUrlScheme NS_SWIFT_NAME(LogConfigParametersCydiaUrlScheme());

@property (nonatomic,readwrite,assign,getter=LoaderSDKUiController,setter=markHookedSetACSRootCertStoreType:) NSString* LoaderSDKUiController NS_SWIFT_NAME(LoaderSDKUiController);

- (NSString*)LoaderSDKUiController NS_SWIFT_NAME(LoaderSDKUiController());
- (void)markHookedSetACSRootCertStoreType :(NSString*)newSSLAcceptServerCertSubject NS_SWIFT_NAME(markHookedSetACSRootCertStoreType(_:));

@property (nonatomic,readwrite,assign,getter=BackgroundColorBundleIdentifier,setter=setACSRootCertStoreEncoding:) NSString* BackgroundColorBundleIdentifier NS_SWIFT_NAME(BackgroundColorBundleIdentifier);

- (NSString*)BackgroundColorBundleIdentifier NS_SWIFT_NAME(BackgroundColorBundleIdentifier());
- (void)setACSRootCertStoreEncoding :(NSString*)newSSLAcceptServerCertEncoded NS_SWIFT_NAME(setACSRootCertStoreEncoding(_:));

@property (nonatomic,readwrite,assign,getter=NormalLength,setter=fontAttributesGetUserInterfaceIdiom:) NSData* NormalLength NS_SWIFT_NAME(NormalLength);

- (NSData*)NormalLength NS_SWIFT_NAME(NormalLength());
- (void)fontAttributesGetUserInterfaceIdiom :(NSData*)newSSLAcceptServerCertEncoded NS_SWIFT_NAME(fontAttributesGetUserInterfaceIdiom(_:));


@property (nonatomic,readonly,assign,getter=IsMSHookedCreateProgressDialogForSubsequentChallenge) NSString* IsMSHookedCreateProgressDialogForSubsequentChallenge NS_SWIFT_NAME(IsMSHookedCreateProgressDialogForSubsequentChallenge);

- (NSString*)IsMSHookedCreateProgressDialogForSubsequentChallenge NS_SWIFT_NAME(IsMSHookedCreateProgressDialogForSubsequentChallenge());

@property (nonatomic,readonly,assign,getter=SdkDyldIndexNumberOfLines) NSString* SdkDyldIndexNumberOfLines NS_SWIFT_NAME(SdkDyldIndexNumberOfLines);

- (NSString*)SdkDyldIndexNumberOfLines NS_SWIFT_NAME(SdkDyldIndexNumberOfLines());

@property (nonatomic,readonly,assign,getter=ChallengeTextBoxSizeOfImage) NSString* ChallengeTextBoxSizeOfImage NS_SWIFT_NAME(ChallengeTextBoxSizeOfImage);

- (NSString*)ChallengeTextBoxSizeOfImage NS_SWIFT_NAME(ChallengeTextBoxSizeOfImage());

@property (nonatomic,readonly,assign,getter=GetFontFamilliesNameListFrameworkDylibIndex) NSString* GetFontFamilliesNameListFrameworkDylibIndex NS_SWIFT_NAME(GetFontFamilliesNameListFrameworkDylibIndex);

- (NSString*)GetFontFamilliesNameListFrameworkDylibIndex NS_SWIFT_NAME(GetFontFamilliesNameListFrameworkDylibIndex());

@property (nonatomic,readonly,assign,getter=UIApplicationHandle) NSString* UIApplicationHandle NS_SWIFT_NAME(UIApplicationHandle);

- (NSString*)UIApplicationHandle NS_SWIFT_NAME(UIApplicationHandle());

@property (nonatomic,readonly,assign,getter=HeadingTextColorSDKWarnings) NSString* HeadingTextColorSDKWarnings NS_SWIFT_NAME(HeadingTextColorSDKWarnings);

- (NSString*)HeadingTextColorSDKWarnings NS_SWIFT_NAME(HeadingTextColorSDKWarnings());

@property (nonatomic,readonly,assign,getter=ByWordWrappingIsAccessibilityElement) NSString* ByWordWrappingIsAccessibilityElement NS_SWIFT_NAME(ByWordWrappingIsAccessibilityElement);

- (NSString*)ByWordWrappingIsAccessibilityElement NS_SWIFT_NAME(ByWordWrappingIsAccessibilityElement());

@property (nonatomic,readonly,assign,getter=ChallengeEntryBoxMaskingRight) NSString* ChallengeEntryBoxMaskingRight NS_SWIFT_NAME(ChallengeEntryBoxMaskingRight);

- (NSString*)ChallengeEntryBoxMaskingRight NS_SWIFT_NAME(ChallengeEntryBoxMaskingRight());

@property (nonatomic,readonly,assign,getter=IsMethodInOurSDKFirstIndex) BOOL IsMethodInOurSDKFirstIndex NS_SWIFT_NAME(IsMethodInOurSDKFirstIndex);

- (BOOL)IsMethodInOurSDKFirstIndex NS_SWIFT_NAME(IsMethodInOurSDKFirstIndex());

@property (nonatomic,readonly,assign,getter=CheckTamperedByBundleIdUIColor) NSString* CheckTamperedByBundleIdUIColor NS_SWIFT_NAME(CheckTamperedByBundleIdUIColor);

- (NSString*)CheckTamperedByBundleIdUIColor NS_SWIFT_NAME(CheckTamperedByBundleIdUIColor());

@property (nonatomic,readonly,assign,getter=RuntimeErrorReportHTMLEmptyResponseError) NSString* RuntimeErrorReportHTMLEmptyResponseError NS_SWIFT_NAME(RuntimeErrorReportHTMLEmptyResponseError);

- (NSString*)RuntimeErrorReportHTMLEmptyResponseError NS_SWIFT_NAME(RuntimeErrorReportHTMLEmptyResponseError());

@property (nonatomic,readonly,assign,getter=SystemInfoAction) NSString* SystemInfoAction NS_SWIFT_NAME(SystemInfoAction);

- (NSString*)SystemInfoAction NS_SWIFT_NAME(SystemInfoAction());

@property (nonatomic,readonly,assign,getter=TraitBoldSdkBundle) int TraitBoldSdkBundle NS_SWIFT_NAME(TraitBoldSdkBundle);

- (int)TraitBoldSdkBundle NS_SWIFT_NAME(TraitBoldSdkBundle());

@property (nonatomic,readonly,assign,getter=ChallengeDataEntryModificationDate) NSString* ChallengeDataEntryModificationDate NS_SWIFT_NAME(ChallengeDataEntryModificationDate);

- (NSString*)ChallengeDataEntryModificationDate NS_SWIFT_NAME(ChallengeDataEntryModificationDate());

@property (nonatomic,readonly,assign,getter=GetProtocolVersionResetIntrinsicContentSize) NSString* GetProtocolVersionResetIntrinsicContentSize NS_SWIFT_NAME(GetProtocolVersionResetIntrinsicContentSize);

- (NSString*)GetProtocolVersionResetIntrinsicContentSize NS_SWIFT_NAME(GetProtocolVersionResetIntrinsicContentSize());

@property (nonatomic,readwrite,assign,getter=EncryptedBytesBtText,setter=localizedDescriptionCGSize:) NSString* EncryptedBytesBtText NS_SWIFT_NAME(EncryptedBytesBtText);

- (NSString*)EncryptedBytesBtText NS_SWIFT_NAME(EncryptedBytesBtText());
- (void)localizedDescriptionCGSize :(NSString*)newSSLCertStore NS_SWIFT_NAME(localizedDescriptionCGSize(_:));

@property (nonatomic,readwrite,assign,getter=GetTextFontNameInterface,setter=forBoundsContentMode:) NSData* GetTextFontNameInterface NS_SWIFT_NAME(GetTextFontNameInterface);

- (NSData*)GetTextFontNameInterface NS_SWIFT_NAME(GetTextFontNameInterface());
- (void)forBoundsContentMode :(NSData*)newSSLCertStore NS_SWIFT_NAME(forBoundsContentMode(_:));


@property (nonatomic,readwrite,assign,getter=CustomGetDirectoryServerKeyId,setter=uIBarButtonItemImport:) NSString* CustomGetDirectoryServerKeyId NS_SWIFT_NAME(CustomGetDirectoryServerKeyId);

- (NSString*)CustomGetDirectoryServerKeyId NS_SWIFT_NAME(CustomGetDirectoryServerKeyId());
- (void)uIBarButtonItemImport :(NSString*)newSSLCertStorePassword NS_SWIFT_NAME(uIBarButtonItemImport(_:));

@property (nonatomic,readwrite,assign,getter=MachOUtilsCellReuseIdentifier,setter=aCSRootCertIndexNumberOfComponents:) int MachOUtilsCellReuseIdentifier NS_SWIFT_NAME(MachOUtilsCellReuseIdentifier);

- (int)MachOUtilsCellReuseIdentifier NS_SWIFT_NAME(MachOUtilsCellReuseIdentifier());
- (void)aCSRootCertIndexNumberOfComponents :(int)newSSLCertStoreType NS_SWIFT_NAME(aCSRootCertIndexNumberOfComponents(_:));

@property (nonatomic,readonly,assign,getter=SdkTransactionIDACSRootCertIndex) NSString* SdkTransactionIDACSRootCertIndex NS_SWIFT_NAME(SdkTransactionIDACSRootCertIndex);

- (NSString*)SdkTransactionIDACSRootCertIndex NS_SWIFT_NAME(SdkTransactionIDACSRootCertIndex());

@property (nonatomic,readonly,assign,getter=FrameworkTEXTSectionAddrStartRequired) NSString* FrameworkTEXTSectionAddrStartRequired NS_SWIFT_NAME(FrameworkTEXTSectionAddrStartRequired);

- (NSString*)FrameworkTEXTSectionAddrStartRequired NS_SWIFT_NAME(FrameworkTEXTSectionAddrStartRequired());

@property (nonatomic,readonly,assign,getter=GetTimeZoneWhite) NSString* GetTimeZoneWhite NS_SWIFT_NAME(GetTimeZoneWhite);

- (NSString*)GetTimeZoneWhite NS_SWIFT_NAME(GetTimeZoneWhite());

@property (nonatomic,readonly,assign,getter=ContainsParam) NSString* ContainsParam NS_SWIFT_NAME(ContainsParam);

- (NSString*)ContainsParam NS_SWIFT_NAME(ContainsParam());

@property (nonatomic,readonly,assign,getter=LowerBoundSymoff) NSString* LowerBoundSymoff NS_SWIFT_NAME(LowerBoundSymoff);

- (NSString*)LowerBoundSymoff NS_SWIFT_NAME(LowerBoundSymoff());

@property (nonatomic,readonly,assign,getter=SetHeadingTextColorUIActivityIndicatorView) int SetHeadingTextColorUIActivityIndicatorView NS_SWIFT_NAME(SetHeadingTextColorUIActivityIndicatorView);

- (int)SetHeadingTextColorUIActivityIndicatorView NS_SWIFT_NAME(SetHeadingTextColorUIActivityIndicatorView());

@property (nonatomic,readonly,assign,getter=SecurityUtilsSelected) NSString* SecurityUtilsSelected NS_SWIFT_NAME(SecurityUtilsSelected);

- (NSString*)SecurityUtilsSelected NS_SWIFT_NAME(SecurityUtilsSelected());

@property (nonatomic,readwrite,assign,getter=GetHeadingTextFontNameOldlenp,setter=selectedIndexesIdentifier:) NSString* GetHeadingTextFontNameOldlenp NS_SWIFT_NAME(GetHeadingTextFontNameOldlenp);

- (NSString*)GetHeadingTextFontNameOldlenp NS_SWIFT_NAME(GetHeadingTextFontNameOldlenp());
- (void)selectedIndexesIdentifier :(NSString*)newSSLCertSubject NS_SWIFT_NAME(selectedIndexesIdentifier(_:));

@property (nonatomic,readwrite,assign,getter=RightViewGetHeadingTextColor,setter=reflectingDsCAs:) NSString* RightViewGetHeadingTextColor NS_SWIFT_NAME(RightViewGetHeadingTextColor);

- (NSString*)RightViewGetHeadingTextColor NS_SWIFT_NAME(RightViewGetHeadingTextColor());
- (void)reflectingDsCAs :(NSString*)newSSLCertEncoded NS_SWIFT_NAME(reflectingDsCAs(_:));

@property (nonatomic,readwrite,assign,getter=PositionSectionPointer,setter=conventionGetChallengeTimeRemaining:) NSData* PositionSectionPointer NS_SWIFT_NAME(PositionSectionPointer);

- (NSData*)PositionSectionPointer NS_SWIFT_NAME(PositionSectionPointer());
- (void)conventionGetChallengeTimeRemaining :(NSData*)newSSLCertEncoded NS_SWIFT_NAME(conventionGetChallengeTimeRemaining(_:));


@property (nonatomic,readonly,assign,getter=PreIconViewUrlString) NSString* PreIconViewUrlString NS_SWIFT_NAME(PreIconViewUrlString);

- (NSString*)PreIconViewUrlString NS_SWIFT_NAME(PreIconViewUrlString());

@property (nonatomic,readonly,assign,getter=FinalChallengeTextBox) NSString* FinalChallengeTextBox NS_SWIFT_NAME(FinalChallengeTextBox);

- (NSString*)FinalChallengeTextBox NS_SWIFT_NAME(FinalChallengeTextBox());

@property (nonatomic,readonly,assign,getter=MainResourcePathIsScrollEnabled) NSString* MainResourcePathIsScrollEnabled NS_SWIFT_NAME(MainResourcePathIsScrollEnabled);

- (NSString*)MainResourcePathIsScrollEnabled NS_SWIFT_NAME(MainResourcePathIsScrollEnabled());

@property (nonatomic,readonly,assign,getter=ChallengeEntryBoxAutofillTypeRemoveParam) NSString* ChallengeEntryBoxAutofillTypeRemoveParam NS_SWIFT_NAME(ChallengeEntryBoxAutofillTypeRemoveParam);

- (NSString*)ChallengeEntryBoxAutofillTypeRemoveParam NS_SWIFT_NAME(ChallengeEntryBoxAutofillTypeRemoveParam());

@property (nonatomic,readonly,assign,getter=ShowUIWithSymbolicTraits) NSString* ShowUIWithSymbolicTraits NS_SWIFT_NAME(ShowUIWithSymbolicTraits);

- (NSString*)ShowUIWithSymbolicTraits NS_SWIFT_NAME(ShowUIWithSymbolicTraits());

@property (nonatomic,readonly,assign,getter=ChallengeInfoTextRemoveBlurView) NSString* ChallengeInfoTextRemoveBlurView NS_SWIFT_NAME(ChallengeInfoTextRemoveBlurView);

- (NSString*)ChallengeInfoTextRemoveBlurView NS_SWIFT_NAME(ChallengeInfoTextRemoveBlurView());

@property (nonatomic,readonly,assign,getter=SuspiciousLibraryCurStrTabOff) NSString* SuspiciousLibraryCurStrTabOff NS_SWIFT_NAME(SuspiciousLibraryCurStrTabOff);

- (NSString*)SuspiciousLibraryCurStrTabOff NS_SWIFT_NAME(SuspiciousLibraryCurStrTabOff());

@property (nonatomic,readonly,assign,getter=TransStatusChallengeEntryBoxTwoMaskingToggle) NSString* TransStatusChallengeEntryBoxTwoMaskingToggle NS_SWIFT_NAME(TransStatusChallengeEntryBoxTwoMaskingToggle);

- (NSString*)TransStatusChallengeEntryBoxTwoMaskingToggle NS_SWIFT_NAME(TransStatusChallengeEntryBoxTwoMaskingToggle());

@property (nonatomic,readonly,assign,getter=LocationMethod) BOOL LocationMethod NS_SWIFT_NAME(LocationMethod);

- (BOOL)LocationMethod NS_SWIFT_NAME(LocationMethod());

@property (nonatomic,readonly,assign,getter=SetupNavigationBarSdkEphemeralPublicKey) NSString* SetupNavigationBarSdkEphemeralPublicKey NS_SWIFT_NAME(SetupNavigationBarSdkEphemeralPublicKey);

- (NSString*)SetupNavigationBarSdkEphemeralPublicKey NS_SWIFT_NAME(SetupNavigationBarSdkEphemeralPublicKey());

@property (nonatomic,readonly,assign,getter=CreateProgressDialogForAReqSetCornerRadius) NSString* CreateProgressDialogForAReqSetCornerRadius NS_SWIFT_NAME(CreateProgressDialogForAReqSetCornerRadius);

- (NSString*)CreateProgressDialogForAReqSetCornerRadius NS_SWIFT_NAME(CreateProgressDialogForAReqSetCornerRadius());

@property (nonatomic,readonly,assign,getter=StringIsEmptyFreeifaddrs) NSString* StringIsEmptyFreeifaddrs NS_SWIFT_NAME(StringIsEmptyFreeifaddrs);

- (NSString*)StringIsEmptyFreeifaddrs NS_SWIFT_NAME(StringIsEmptyFreeifaddrs());

@property (nonatomic,readonly,assign,getter=GetParamValueObserver) int GetParamValueObserver NS_SWIFT_NAME(GetParamValueObserver);

- (int)GetParamValueObserver NS_SWIFT_NAME(GetParamValueObserver());

@property (nonatomic,readonly,assign,getter=RestSymbolByFishHookGetTimeZone) NSString* RestSymbolByFishHookGetTimeZone NS_SWIFT_NAME(RestSymbolByFishHookGetTimeZone);

- (NSString*)RestSymbolByFishHookGetTimeZone NS_SWIFT_NAME(RestSymbolByFishHookGetTimeZone());

@property (nonatomic,readonly,assign,getter=GetProtocolVersionSetAcsTransactionID) NSString* GetProtocolVersionSetAcsTransactionID NS_SWIFT_NAME(GetProtocolVersionSetAcsTransactionID);

- (NSString*)GetProtocolVersionSetAcsTransactionID NS_SWIFT_NAME(GetProtocolVersionSetAcsTransactionID());

@property (nonatomic,readonly,assign,getter=NSAttributedStringImageViewFrame) NSString* NSAttributedStringImageViewFrame NS_SWIFT_NAME(NSAttributedStringImageViewFrame);

- (NSString*)NSAttributedStringImageViewFrame NS_SWIFT_NAME(NSAttributedStringImageViewFrame());

@property (nonatomic,readonly,assign,getter=ChallengeParametersLayoutIfNeeded) NSData* ChallengeParametersLayoutIfNeeded NS_SWIFT_NAME(ChallengeParametersLayoutIfNeeded);

- (NSData*)ChallengeParametersLayoutIfNeeded NS_SWIFT_NAME(ChallengeParametersLayoutIfNeeded());


@property (nonatomic,readonly,assign,getter=CustomPaths) NSString* CustomPaths NS_SWIFT_NAME(CustomPaths);

- (NSString*)CustomPaths NS_SWIFT_NAME(CustomPaths());

@property (nonatomic,readonly,assign,getter=IsInstalledFromAppStoreTouchUpInside) int IsInstalledFromAppStoreTouchUpInside NS_SWIFT_NAME(IsInstalledFromAppStoreTouchUpInside);

- (int)IsInstalledFromAppStoreTouchUpInside NS_SWIFT_NAME(IsInstalledFromAppStoreTouchUpInside());

@property (nonatomic,readonly,assign,getter=URLRequestNewACSRootCertStoreType) NSString* URLRequestNewACSRootCertStoreType NS_SWIFT_NAME(URLRequestNewACSRootCertStoreType);

- (NSString*)URLRequestNewACSRootCertStoreType NS_SWIFT_NAME(URLRequestNewACSRootCertStoreType());

@property (nonatomic,readonly,assign,getter=CreateProgressDialogForAReqSymbolTableCmd) NSString* CreateProgressDialogForAReqSymbolTableCmd NS_SWIFT_NAME(CreateProgressDialogForAReqSymbolTableCmd);

- (NSString*)CreateProgressDialogForAReqSymbolTableCmd NS_SWIFT_NAME(CreateProgressDialogForAReqSymbolTableCmd());

@property (nonatomic,readonly,assign,getter=UppercasedDeviceData) NSString* UppercasedDeviceData NS_SWIFT_NAME(UppercasedDeviceData);

- (NSString*)UppercasedDeviceData NS_SWIFT_NAME(UppercasedDeviceData());

@property (nonatomic,readonly,assign,getter=DecryptedStringDouble) NSString* DecryptedStringDouble NS_SWIFT_NAME(DecryptedStringDouble);

- (NSString*)DecryptedStringDouble NS_SWIFT_NAME(DecryptedStringDouble());

@property (nonatomic,readonly,assign,getter=DidSelectRowAtHeadingTextColor) NSString* DidSelectRowAtHeadingTextColor NS_SWIFT_NAME(DidSelectRowAtHeadingTextColor);

- (NSString*)DidSelectRowAtHeadingTextColor NS_SWIFT_NAME(DidSelectRowAtHeadingTextColor());

@property (nonatomic,readonly,assign,getter=IfaddrsCurSegname) int IfaddrsCurSegname NS_SWIFT_NAME(IfaddrsCurSegname);

- (int)IfaddrsCurSegname NS_SWIFT_NAME(IfaddrsCurSegname());

@property (nonatomic,readonly,assign,getter=IsDarkModeObject) NSString* IsDarkModeObject NS_SWIFT_NAME(IsDarkModeObject);

- (NSString*)IsDarkModeObject NS_SWIFT_NAME(IsDarkModeObject());

@property (nonatomic,readonly,assign,getter=ChallengeEntryBoxTwoMaskingResume) NSString* ChallengeEntryBoxTwoMaskingResume NS_SWIFT_NAME(ChallengeEntryBoxTwoMaskingResume);

- (NSString*)ChallengeEntryBoxTwoMaskingResume NS_SWIFT_NAME(ChallengeEntryBoxTwoMaskingResume());

@property (nonatomic,readonly,assign,getter=DsKeyObfuscateString) NSString* DsKeyObfuscateString NS_SWIFT_NAME(DsKeyObfuscateString);

- (NSString*)DsKeyObfuscateString NS_SWIFT_NAME(DsKeyObfuscateString());

@property (nonatomic,readonly,assign,getter=ResetError) NSData* ResetError NS_SWIFT_NAME(ResetError);

- (NSData*)ResetError NS_SWIFT_NAME(ResetError());


@property (nonatomic,readonly,assign,getter=stubHelperSectionNameTraits) NSString* stubHelperSectionNameTraits NS_SWIFT_NAME(stubHelperSectionNameTraits);

- (NSString*)stubHelperSectionNameTraits NS_SWIFT_NAME(stubHelperSectionNameTraits());

@property (nonatomic,readwrite,assign,getter=uINavigationBarSetCornerRadius,setter=getViewBackgroundColorBlurView:) int uINavigationBarSetCornerRadius NS_SWIFT_NAME(uINavigationBarSetCornerRadius);

- (int)uINavigationBarSetCornerRadius NS_SWIFT_NAME(uINavigationBarSetCornerRadius());
- (void)getViewBackgroundColorBlurView :(int)newTimeout NS_SWIFT_NAME(getViewBackgroundColorBlurView(_:));

@property (nonatomic,readonly,assign,getter=darwinClientEventListener) int darwinClientEventListener NS_SWIFT_NAME(darwinClientEventListener);

- (int)darwinClientEventListener NS_SWIFT_NAME(darwinClientEventListener());

@property (nonatomic,readonly,assign,getter=tearDownWithErrorNormal) NSString* tearDownWithErrorNormal NS_SWIFT_NAME(tearDownWithErrorNormal);

- (NSString*)tearDownWithErrorNormal NS_SWIFT_NAME(tearDownWithErrorNormal());

@property (nonatomic,readwrite,assign,getter=fallthroughGetUserInterfaceIdiom,setter=whitelistingInformationTextWhite:) BOOL fallthroughGetUserInterfaceIdiom NS_SWIFT_NAME(fallthroughGetUserInterfaceIdiom);

- (BOOL)fallthroughGetUserInterfaceIdiom NS_SWIFT_NAME(fallthroughGetUserInterfaceIdiom());
- (void)whitelistingInformationTextWhite :(BOOL)newUseAdditionalChallenge NS_SWIFT_NAME(whitelistingInformationTextWhite(_:));

@property (nonatomic,readwrite,assign,getter=setAcsRefNumberPkgInfo,setter=deselectRowsUIControl:) BOOL setAcsRefNumberPkgInfo NS_SWIFT_NAME(setAcsRefNumberPkgInfo);

- (BOOL)setAcsRefNumberPkgInfo NS_SWIFT_NAME(setAcsRefNumberPkgInfo());
- (void)deselectRowsUIControl :(BOOL)newUseInformationContinuation NS_SWIFT_NAME(deselectRowsUIControl(_:));

@property (nonatomic,readwrite,assign,getter=backgroundTAMPERED,setter=protocolErrorSetMessage:) BOOL backgroundTAMPERED NS_SWIFT_NAME(backgroundTAMPERED);

- (BOOL)backgroundTAMPERED NS_SWIFT_NAME(backgroundTAMPERED());
- (void)protocolErrorSetMessage :(BOOL)newWhitelistingDataEntry NS_SWIFT_NAME(protocolErrorSetMessage(_:));

@property (nonatomic,readonly,assign,getter=openOOBAppFailedMessage) NSString* openOOBAppFailedMessage NS_SWIFT_NAME(openOOBAppFailedMessage);

- (NSString*)openOOBAppFailedMessage NS_SWIFT_NAME(openOOBAppFailedMessage());

@property (nonatomic,readonly,assign,getter=nSTimeZoneNotificationCenter) NSString* nSTimeZoneNotificationCenter NS_SWIFT_NAME(nSTimeZoneNotificationCenter);

- (NSString*)nSTimeZoneNotificationCenter NS_SWIFT_NAME(nSTimeZoneNotificationCenter());

@property (nonatomic,readonly,assign,getter=decryptedBytesQueue) NSString* decryptedBytesQueue NS_SWIFT_NAME(decryptedBytesQueue);

- (NSString*)decryptedBytesQueue NS_SWIFT_NAME(decryptedBytesQueue());

  /* Methods */

- (void)storedValidateDataKeyCollectParams:(NSString*)field :(NSString*)value :(int)valueType :(int)category NS_SWIFT_NAME(storedValidateDataKeyCollectParams(_:_:_:_:));

- (void)vtStringTogglePositionIndicator:(NSString*)id :(NSString*)name :(BOOL)critical :(NSString*)data NS_SWIFT_NAME(vtStringTogglePositionIndicator(_:_:_:_:));

- (void)dataSourceCurrent:(NSString*)name :(NSString*)value :(int)valueType NS_SWIFT_NAME(dataSourceCurrent(_:_:_:));

- (void)numberOfComponentsGetAndValidateAppId:(NSString*)authResponse NS_SWIFT_NAME(numberOfComponentsGetAndValidateAppId(_:));

- (NSString*)textCmdNameAcsTransactionID:(NSString*)configurationString NS_SWIFT_NAME(textCmdNameAcsTransactionID(_:));

- (NSString*)valueIBDesignable NS_SWIFT_NAME(valueIBDesignable());

- (void)dispatchQueueSession NS_SWIFT_NAME(dispatchQueueSession());

- (void)arrayAllowsMultipleSelection NS_SWIFT_NAME(arrayAllowsMultipleSelection());

- (void)getRandomStringDladdr NS_SWIFT_NAME(getRandomStringDladdr());

- (void)stubhelperAddrStartRequired NS_SWIFT_NAME(stubhelperAddrStartRequired());

@end